#ifndef DIEHPP
#define DIEHPP

#include "pushbut.hpp"
#include "random.hpp"
#include "events.hpp"

class Die: public MonostablePushButton {

	int frequency;
	void MakeSound();
	void GetNextRoll();

protected:

	int die_state;
	RandomNumber value;
	int current_roll;

public:

	Die(int, int);
	virtual void Update();
};

#endif
